> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add password Git credentials to service account



## OpenAPI

````yaml /api-specs/6.3/public-api.json post /api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/passwordgitcredentials
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/passwordgitcredentials:
    post:
      tags:
        - Service accounts
      operationId: associatePasswordGitCredentialsWithServiceAccount
      parameters:
        - $ref: '#/components/parameters/serviceAccountIdpId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasswordGitCredential'
        description: >-
          The username/password Git credentials to associate with the service
          account
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitCredentialsAccessorEnvelopeV1'
          description: Associates Git credentials with a service account
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  parameters:
    serviceAccountIdpId:
      in: path
      name: serviceAccountIdpId
      required: true
      schema:
        type: string
  schemas:
    PasswordGitCredential:
      allOf:
        - $ref: '#/components/schemas/BaseGitCredential'
        - properties:
            password:
              type: string
            username:
              type: string
          required:
            - username
            - password
          type: object
    GitCredentialsAccessorEnvelopeV1:
      properties:
        credential:
          $ref: '#/components/schemas/GitCredentialsAccessorV1'
        metadata:
          $ref: '#/components/schemas/MetadataV1'
      required:
        - credential
        - metadata
      type: object
    BaseGitCredential:
      properties:
        domain:
          type: string
        gitServiceProvider:
          $ref: '#/components/schemas/GitServiceProviderV1'
        name:
          type: string
      required:
        - name
        - gitServiceProvider
      type: object
    GitCredentialsAccessorV1:
      properties:
        domain:
          description: The domain these credentials apply to
          example: github.com
          type: string
        fingerprint:
          example: ba:78:09:d8:4b:3b:09:9b:43:bf:9b:5a:34:f7:3f:28
          type: string
        gitServiceProvider:
          $ref: '#/components/schemas/GitServiceProviderV1'
        id:
          description: Id for these git credentials
          type: string
        name:
          description: Name for these git credentials
          example: My creds
          type: string
        protocol:
          example: https
          type: string
      required:
        - id
        - name
        - gitServiceProvider
        - domain
        - fingerprint
        - protocol
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    GitServiceProviderV1:
      description: Git service provider
      enum:
        - bitbucket
        - bitbucketServer
        - github
        - githubEnterprise
        - gitLab
        - gitLabEnterprise
        - unknown
      type: string
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Add SSH Git credentials to service account](/6.3/api-reference/service-accounts/post-apiserviceaccountsv1serviceaccounts-sshgitcredentials.md)
- [Add token Git credentials to service account](/6.3/api-reference/service-accounts/post-apiserviceaccountsv1serviceaccounts-tokengitcredentials.md)
- [Service accounts](/6.3/admin/identity-and-access/manage-users/service-accounts.md)
- [List service account Git credentials](/6.3/api-reference/service-accounts/get-apiserviceaccountsv1serviceaccounts-gitcredentials.md)
